Public Types | Public Member Functions

# gdcm::ProgressEvent Class Reference

ProgressEvent Special type of event triggered during. More...

`#include <gdcmProgressEvent.h>`

Inheritance diagram for gdcm::ProgressEvent:
[legend]
Collaboration diagram for gdcm::ProgressEvent:
[legend]

List of all members.

## Public Types
typedef ProgressEvent | Self
typedef AnyEvent | Superclass
## Public Member Functions
| ProgressEvent (double p=0)
| ProgressEvent (const Self &s)
virtual | ~ProgressEvent ()
virtual bool | CheckEvent (const ::gdcm::Event *e) const
virtual const char * | GetEventName () const
double | GetProgress () const
virtual ::gdcm::Event * | MakeObject () const
void | SetProgress (double p)

## Detailed Description

ProgressEvent Special type of event triggered during.

See also:
  AnyEvent

## Member Typedef Documentation

typedef ProgressEvent gdcm::ProgressEvent::Self

typedef AnyEvent gdcm::ProgressEvent::Superclass

## Constructor & Destructor Documentation

gdcm::ProgressEvent::ProgressEvent | ( | double | p = `0` ) | `[inline]`

virtual gdcm::ProgressEvent::~ProgressEvent | ( | ) | `[inline, virtual]`

gdcm::ProgressEvent::ProgressEvent | ( | const Self & | s ) | `[inline]`

## Member Function Documentation

virtual bool gdcm::ProgressEvent::CheckEvent | ( | const ::gdcm::Event * | e ) | const`[inline, virtual]`

virtual const char* gdcm::ProgressEvent::GetEventName | ( | ) | const`[inline, virtual]`

Return the StringName associated with the event.

Implements gdcm::Event.

double gdcm::ProgressEvent::GetProgress | ( | ) | const`[inline]`

virtual ::gdcm::Event* gdcm::ProgressEvent::MakeObject | ( | ) | const`[inline, virtual]`

Create an Event of this type This method work as a Factory for creating events of each particular type.

Implements gdcm::Event.

void gdcm::ProgressEvent::SetProgress | ( | double | p ) | `[inline]`

The documentation for this class was generated from the following file:

- gdcmProgressEvent.h